1. Ideogram
梧柏API使用文档
WHBAI · Ideogram
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • Ideogram
    • 图像描述
      POST
    • 文生图
      POST
    • 图像 Remix
      POST
    • 图像放大
      POST
  • 数据模型
    • IdeogramSampleResponse
    • PostIdeogramGenerateResponse
    • PostIdeogramRemixResponse
    • PostIdeogramUpscaleResponse
    • NewApiError
  1. Ideogram

文生图

POST
/ideogram/generate
根据文本提示词生成图像(Ideogram V2 API)。
Generates images synchronously based on a given prompt and optional parameters.
具体参数请看官方文档:https://developer.ideogram.ai/api-reference/api-reference/describe
根据给定的提示和可选参数同步生成图像。
返回的图像 URL 在 24 小时内有效,超过该时间将无法访问图像。
已反代图片

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Body 参数application/json必填

示例
{
    "image_request": {
        "prompt": "A minimalist logo design for a coffee shop",
        "model": "V_2",
        "aspect_ratio": "ASPECT_1_1",
        "magic_prompt_option": "AUTO",
        "style_type": "DESIGN",
        "seed": 1785282233,
        "negative_prompt": "",
        "num_images": 1,
        "resolution": "1024x1024",
        "color_palette": {
            "name": "PASTEL"
        }
    }
}

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
cURL
curl --location '/ideogram/generate' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "image_request": {
        "prompt": "A minimalist logo design for a coffee shop",
        "model": "V_2",
        "aspect_ratio": "ASPECT_1_1",
        "magic_prompt_option": "AUTO",
        "style_type": "DESIGN",
        "seed": 1785282233,
        "negative_prompt": "",
        "num_images": 1,
        "resolution": "1024x1024",
        "color_palette": {
            "name": "PASTEL"
        }
    }
}'

返回响应

🟢200成功
application/json
Bodyapplication/json

示例
{
    "created": "2024-12-15T17:32:00.965Z",
    "data": [
        {
            "is_image_safe": true,
            "prompt": "A serene tropical beach scene. Dominating the foreground are tall palm trees with lush green leaves, standing tall against a backdrop of a sandy beach. The beach leads to the azure waters of the sea, which gently kisses the shoreline. In the distance, there is an island or landmass with a silhouette of what appears to be a lighthouse or tower. The sky above is painted with fluffy white clouds, some of which are tinged with hues of pink and orange, suggesting either a sunrise or sunset.",
            "resolution": "768x1232",
            "seed": 1785282233,
            "url": "https://ideogram.ai/api/images/ephemeral/WkoxvqiOTaaCqG1nO2tQoA.png?exp=1734370337&sig=110fe96dc9e01002c8d837e5b4cde1aaa266195561d231ce76e19e095e478ffe"
        }
    ]
}
🟠400请求有误
🟠401没有权限
修改于 2026-10-24 18:33:08
上一页
图像描述
下一页
图像 Remix
Built with